org.jfree.chart.entity

## Class CategoryLabelEntity

- java.lang.Object
- - org.jfree.chart.entity.ChartEntity
  - - org.jfree.chart.entity.TickLabelEntity
    - - org.jfree.chart.entity.CategoryLabelEntity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.util.PublicCloneable

    public class CategoryLabelEntity
    extends TickLabelEntity

An entity to represent the labels on a `CategoryAxis`.

Since:
  1.0.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CategoryLabelEntity(java.lang.Comparable key, java.awt.Shape area, java.lang.String toolTipText, java.lang.String urlText)` Creates a new entity.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`java.lang.Comparable` `getKey()` Returns the category key.
`int` `hashCode()` Returns a hash code for this instance.
`java.lang.String` `toString()` Returns a string representation of this entity.

### Methods inherited from class org.jfree.chart.entity.ChartEntity

`clone, getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, setArea, setToolTipText, setURLText`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CategoryLabelEntity

    public CategoryLabelEntity(java.lang.Comparable key,
                       java.awt.Shape area,
                       java.lang.String toolTipText,
                       java.lang.String urlText)

Creates a new entity.

Parameters:
  `key` - the category key.
  `area` - the hotspot.
  `toolTipText` - the tool tip text.
  `urlText` - the URL text.

### Method Detail

#### getKey

    public java.lang.Comparable getKey()

Returns the category key.

Returns:
  The category key.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `ChartEntity`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `ChartEntity`
Returns:
  A hash code.

#### toString

    public java.lang.String toString()

Returns a string representation of this entity. This is primarily useful for debugging.

Overrides:
  `toString` in class `ChartEntity`
Returns:
  A string representation of this entity.